uniform sampler2D tex0;
uniform float fadeDistance;
uniform int flipped;

varying vec2 tcoord0;
varying float dist;

void main()
{
    vec2 coord0 = tcoord0;
    coord0.x = float(flipped) * coord0.x;
    vec4 color = texture2D(tex0, coord0);

    gl_FragColor = color;
//    gl_FragColor.a = color.a * clamp(fadeDistance / dist  - 0.85, 0.0, 1.0);
}
