uniform sampler2D tex0;
uniform float numFramesX;
uniform float numFramesY;
uniform float frameX;
uniform float frameY;
uniform float fadeDistance;

varying vec2 tcoord0;
varying float dist;
varying float fogFactor;

void main()
{
//    float numFrames = numFramesX * numFramesY;
//    int frame = int(time * numFrames);

//    float offsetX = 1.f / numFramesX;
//    float coordX = offsetX*float(frame - frame/int(numFramesX));

//    float offsetY = 1.f / numFramesY;
//    float coordY = offsetY*float(frame/int(numFramesX));

    vec2 coord0 = vec2((tcoord0.s)/numFramesX + frameX, (tcoord0.t)/numFramesY + frameY);
    vec4 color = texture2D(tex0, coord0);

//    gl_Fog.end / dist;
    gl_FragColor = color;
    gl_FragColor.a = color.a * clamp(fadeDistance / dist  - 0.85, 0.0, 1.0);
}
